<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.unis.crk</groupId>
	<artifactId>crk</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<packaging>jar</packaging>
	<name>crk</name>
	<description>Demo project for Spring Boot</description>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.1.5.RELEASE</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<java.version>1.8</java.version>
		<druid.version>1.1.1</druid.version>
		<commons.version>1.10</commons.version>
		<swagger.version>2.9.2</swagger.version>
		<mybatis-plus.version>3.1.1</mybatis-plus.version>
		<velocity.version>2.1</velocity.version>
		<commons-lang.version>2.6</commons-lang.version>
		<commons-jexl.version>2.1.1</commons-jexl.version>
		<lombok.version>1.16.18</lombok.version>
		<spring-cloud.version>Greenwich.SR5</spring-cloud.version>
		<skipTests>true</skipTests>
	</properties>

	<dependencies>

		<!-- MQ -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-amqp</artifactId>
		</dependency>
		<!--使用外部tomcat-->
		<!--<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-tomcat</artifactId>
			<scope>provided</scope>
		</dependency>-->
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-netflix-eureka-client</artifactId>
		</dependency>
		<!-- 引入hutool -->
		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-all</artifactId>
			<version>5.7.15</version>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-security</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-aop</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<!--mysql数据库-->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
		<!--   达梦数据库     -->
		<dependency>
			<groupId>com.dameng</groupId>
			<artifactId>Dm8JdbcDriver18</artifactId>
			<version>8.1.1.49</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.jdom/jdom -->
		<dependency>
			<groupId>org.jdom</groupId>
			<artifactId>jdom</artifactId>
			<version>1.1.3</version>
		</dependency>

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid-spring-boot-starter</artifactId>
			<version>${druid.version}</version>
		</dependency>
		<!--swagger2-->
		<dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger2</artifactId>
			<version>${swagger.version}</version>
		</dependency>
		<dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger-ui</artifactId>
			<version>${swagger.version}</version>
		</dependency>
		<!-- mybatis-plus -->
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
			<version>${mybatis-plus.version}</version>
		</dependency>

		<!-- 代码生成器 -->
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-generator</artifactId>
			<version>${mybatis-plus.version}</version>
		</dependency>
		<!-- 模板引擎 -->
		<dependency>
			<groupId>org.apache.velocity</groupId>
			<artifactId>velocity-engine-core</artifactId>
			<version>${velocity.version}</version>
		</dependency>

		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>${commons-lang.version}</version>
		</dependency>

		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-jexl</artifactId>
			<version>${commons-jexl.version}</version>
		</dependency>

		<!--<dependency>-->
		<!--<groupId>142205230234	91632300710520043U001000100102	2	2022-05-23	NULL	D306322051200001	马国源	18309738325	632321197202150035	青海省黄南藏族自治州同仁市幸福小区6号	1	青A67867	NULL	民和华瑞粮油储备有限公司	2022-05-23 00:12:12	NULL	1111001	122	2021	371700	0	51720.000	张林生	2022-05-23 00:12:12	刘生平	NULL	16630.000	张林生	2022-05-23 00:12:12	刘生平	3	0.0	0	0.0	0.0	0.0	0.0	0.0	0.0	0.0	0.0	0.0	0.0	0.0	0.0	NULL	0.0	0.0	NULL	35090.000	吴海录	2022-05-23 00:00:00	赵文	NULL	NULL	u	2022-09-16 16:32:00	01		NULL
org.springframework.boot</groupId>-->
		<!--<artifactId>spring-boot-devtools</artifactId>-->
		<!--<optional>true</optional>-->
		<!--</dependency>-->
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi</artifactId>
			<version>3.13</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml</artifactId>
			<version>3.13</version>
		</dependency>
		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.2.1</version>
		</dependency>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<version>${lombok.version}</version>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-test</artifactId>
			<scope>test</scope>
		</dependency>
		<!--添加webservice-->


		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
			<version>1.2.41</version>
		</dependency>
	<!--	redis-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-redis</artifactId>
            <version>2.0.4.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.session</groupId>
			<artifactId>spring-session-data-redis</artifactId>
			<version>2.0.5.RELEASE</version>
		</dependency>
		<!--	<dependency>
                <groupId>org.springframework.security</groupId>
                <artifactId>spring-security-jwt</artifactId>
            </dependency>

            jwt解析相关
		<dependency>
			<groupId>io.jsonwebtoken</groupId>
			<artifactId>jjwt</artifactId>
			<version>0.9.1</version>
		</dependency>-->
		<!--添加webservice end-->
		<!--  存放在本地的jar  -->
		<dependency>
			<groupId>unis</groupId>
			<artifactId>unis</artifactId>
			<version>1.0.0</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/unis.jar
			</systemPath>
		</dependency>
		<!--<dependency>-->
		<!--<groupId>com.googlecode.aviator</groupId>-->
		<!--<artifactId>aviator</artifactId>-->
		<!--<version>1.0.0</version>-->
		<!--<scope>system</scope>-->
		<!--<systemPath>-->
		<!--${project.basedir}/src/main/resources/lib/aviator.jar-->
		<!--</systemPath>-->
		<!--</dependency>-->
		<!--<dependency>-->
		<!--<groupId>cngrainHandler</groupId>-->
		<!--<artifactId>cngrainHandler</artifactId>-->
		<!--<version>1.0.0</version>-->
		<!--<scope>system</scope>-->
		<!--<systemPath>-->
		<!--${project.basedir}/src/main/resources/lib/cngrainHandler.jar-->
		<!--</systemPath>-->
		<!--</dependency>-->


		<dependency>
			<groupId>unis</groupId>
			<artifactId>unis</artifactId>
			<version>1.0.0</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/unis.jar
			</systemPath>
		</dependency>
		<dependency>
			<groupId>CReader</groupId>
			<artifactId>CReader</artifactId>
			<version>20220630</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/CReader20220630.jar
			</systemPath>
		</dependency>
		<dependency>
			<groupId>minio</groupId>
			<artifactId>minio</artifactId>
			<version>0.6.0.11</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/minio-6.0.11.jar
			</systemPath>
		</dependency>
		<dependency>
			<groupId>autoconfigure</groupId>
			<artifactId>autoconfigure</artifactId>
			<version>2.3.5.RELEASE</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/spring-security-oauth2-2.3.5.RELEASE.jar
			</systemPath>
		</dependency>
		<!--<dependency>
			<groupId>xmlpull</groupId>
			<artifactId>xmlpull</artifactId>
			<version>1.1.3.1</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/xmlpull-1.1.3.1.jar
			</systemPath>
		</dependency>-->

		<dependency>
			<groupId>client</groupId>
			<artifactId>client</artifactId>
			<version>1.24.1</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/google-http-client-1.24.1.jar
			</systemPath>
		</dependency>
		<dependency>
			<groupId>clientmxl</groupId>
			<artifactId>clientmxl</artifactId>
			<version>1.24.1</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/google-http-client-xml-1.24.1.jar
			</systemPath>
		</dependency>

		<!--<dependency>
			<groupId>hutool</groupId>
			<artifactId>hutool</artifactId>
			<version>5.7.15</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/hutool-all-5.7.15.jar
			</systemPath>
		</dependency>-->
		<dependency>
			<groupId>jjwt</groupId>
			<artifactId>jjwt</artifactId>
			<version>0.9.1</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/jjwt-0.9.1.jar
			</systemPath>
		</dependency>
		<dependency>
			<groupId>com.auth0</groupId>
			<artifactId>java-jwt</artifactId>
			<version>3.9.0</version>
		</dependency>

		<dependency>
			<groupId>jwt</groupId>
			<artifactId>jwt</artifactId>
			<version>1.0.9.RELEASE</version>
			<scope>system</scope>
			<systemPath>
				${project.basedir}/src/main/resources/lib/spring-security-jwt-1.0.9.RELEASE.jar
			</systemPath>
		</dependency>
	</dependencies>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-dependencies</artifactId>
				<version>${spring-cloud.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<!--<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>${java.version}</source>
					<target>${java.version}</target>
					<encoding>utf-8</encoding>
				</configuration>
			</plugin>-->
		</plugins>

	</build>
</project>
